Computer Security
[EN] securityvulns.ru no-pyccku


Apple products SSL validation vulnerability
Published:28.02.2014
Source:
SecurityVulns ID:13580
Type:library
Threat Level:
7/10
Description:Certificate validity is not checked due to software error.
Affected:APPLE : Apple iOS 7.0
 APPLE : Apple iOS 6.1
 APPLE : Apple TV 6.0
 APPLE : MacOS X 10.9
CVE:CVE-2014-1266 (The SSLVerifySignedServerKeyExchange function in libsecurity_ssl/lib/sslKeyExchange.c in the Secure Transport feature in the Data Security component in Apple iOS 6.x before 6.1.6 and 7.x before 7.0.6, Apple TV 6.x before 6.0.2, and Apple OS X 10.9.x before 10.9.2 does not check the signature in a TLS Server Key Exchange message, which allows man-in-the-middle attackers to spoof SSL servers by (1) using an arbitrary private key for the signing step or (2) omitting the signing step.)
Original documentdocumentAPPLE, APPLE-SA-2014-02-21-3 Apple TV 6.0.2 (28.02.2014)
 documentAPPLE, APPLE-SA-2014-02-21-2 iOS 7.0.6 (28.02.2014)
 documentAPPLE, APPLE-SA-2014-02-21-1 iOS 6.1.6 (28.02.2014)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod